### Method

# Gtk InfoBar add_action_widget

#### Declaration [src]

    void
    gtk_info_bar_add_action_widget (
      GtkInfoBar* info_bar,
      GtkWidget* child,
      int response_id
    )

#### Description [src]

Add an activatable widget to the action area of a `GtkInfoBar`.

This also connects a signal handler that will emit the `GtkInfoBar::response` signal on the message area when the widget is activated. The widget is appended to the end of the message areas action area.

#### Parameters

`child` | `GtkWidget`
| An activatable widget.
| The data is owned by the caller of the function.
`response_id` | `int`
| Response ID for `child`.